Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- h
- i
- l
- m
- n
- o
- p
- r
- s
- t
- v
- w

### - a -

- aai : Logger
- additive : Logger
- address : DatagramPacket
- appenderList : AppenderAttachableImpl

### - b -

- buf : DatagramPacket
- buffer : ODBCAppender
- bufferedIO : FileAppender
- bufferSize : ODBCAppender , FileAppender

### - c -

- closed : AppenderSkeleton
- connection : ODBCAppender
- country : Locale

### - d -

- databasePassword : ODBCAppender
- databaseURL : ODBCAppender
- databaseUser : ODBCAppender
- dateFormat : DateLayout
- DEFAULT_DELAY : FileWatchdog
- DEFAULT_PORT : SocketAppender , XMLSocketAppender
- DEFAULT_RECONNECTION_DELAY : SocketAppender , XMLSocketAppender
- delay : FileWatchdog
- delim : StringTokenizer

### - e -

- env : ODBCAppender
- errorHandler : AppenderSkeleton

### - f -

- facilityPrinting : SyslogAppender
- facilityStr : SyslogAppender
- file : FileWatchdog
- fileAppend : FileAppender
- fileName : FileAppender

### - h -

- headFilter : AppenderSkeleton
- hEventLog : NTEventLogAppender

### - i -

- id : TimeZone
- interrupted : FileWatchdog
- isDestructed : APRInitializer

### - l -

- language : Locale
- lastModif : FileWatchdog
- layout : AppenderSkeleton
- length : DatagramPacket
- level : Logger
- log : NTEventLogAppender
- loggerFactory : PropertyConfigurator , DOMConfigurator

### - m -

- MAX_EVENT_LEN : XMLSocketAppender
- maxFileSize : SizeBasedTriggeringPolicy
- mutex : AppenderSkeleton

### - n -

- NA : LocationInfo
- NA_METHOD : LocationInfo
- name : AppenderSkeleton , Logger

### - o -

- obj : PropertySetter
- offset : DatagramPacket

### - p -

- parent : ResourceBundle , Logger
- pCurrentUserSID : NTEventLogAppender
- pool : AppenderSkeleton , Pool
- port : DatagramPacket
- pos : StringTokenizer
- properties : PropertyResourceBundle
- props : DOMConfigurator

### - r -

- ref : ObjectImpl
- registry : PropertyConfigurator
- release : Pool
- repository : Logger , DOMConfigurator
- resourceBundle : Logger

### - s -

- server : NTEventLogAppender
- source : NTEventLogAppender
- sqlStatement : ODBCAppender
- src : StringTokenizer
- sw : SyslogAppender
- syslogFacility : SyslogAppender
- syslogHost : SyslogAppender

### - t -

- tailFilter : AppenderSkeleton
- threshold : AppenderSkeleton

### - v -

- variant : Locale

### - w -

- warnedAlready : FileWatchdog